SDL_DisplayEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_DisplayID | displayID
Sint32 | data1
Sint32 | data2

## Detailed Description

Display state change event data (event.display.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 299 of file SDL_events.h.

## Field Documentation

## data1

Sint32 SDL_DisplayEvent::data1

event dependent data

Definition at line 305 of file SDL_events.h.

## data2

Sint32 SDL_DisplayEvent::data2

event dependent data

Definition at line 306 of file SDL_events.h.

## displayID

SDL_DisplayID SDL_DisplayEvent::displayID

The associated display

Definition at line 304 of file SDL_events.h.

## reserved

Uint32 SDL_DisplayEvent::reserved

Definition at line 302 of file SDL_events.h.

## timestamp

Uint64 SDL_DisplayEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 303 of file SDL_events.h.

## type

SDL_EventType SDL_DisplayEvent::type

SDL_DISPLAYEVENT_*

Definition at line 301 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h